読者です 読者をやめる 読者になる 読者になる

sos の 作業メモ

プログラミングや英会話学習、マイルや旅行、日常生活など。最近はWebFormなASP.NETのお守りがお仕事です。

日々の生活にhappyをプラスする|ハピタス Gポイント

0.5.7 Android Studio & Tools 22.6.3

開発環境 android

Studioさんは重大なクラッシュ回避のためにすぐに0.5.7になってたようですね。

本質は0.5.6と同じだけど、project structure dialogで1個クラッシュするバグがあったので直したとか。

使ってないので0.5.6でも構わないのですが、せっかくなのでupdateしておきました。

ついでにToolsが22.6.3になってたのでこちらもupdate。

SDK Tools, Revision 22.6.3 (April 2014)

Dependencies

  • Android SDK Platform-toolsはリビジョン18以降を使うこと
  • eclipseでADTを使って開発するなら、ADTは22.6.3以降を使うこと。まだ持ってないなら22.6.3にupdateすること。
  • eclipse以外で開発するのなら、Apache Antの 1.8以降を使う事

General Notes

  • targetのAPIレベルが19より小さい時にAndroid Wearの仮想デバイスをAVDマネージャで作成できたバグを直した
  • SDK Manager内のAndroid Wearのイメージの説明を直した

Known Issues

  • AVDマネージャでAndroid Wear仮想デバイスを作る時、ターゲットAPIレベルがデフォルトで19より小さいものが選択される。Android Wear仮想デバイスを作るときは、APIレベルを確実に19にすること。

 


ってな感じでAndroidWear関連でAVDマネージャの修正っぽいですね。ちなみに、長い間eclipseandroidのソースを弄っていないのでADTの方は放置です(^^;

しかしAndroid Wear…買う程でもないんだけど一個くらいは欲しいので…I/Oで配ってくれないかなと少し期待していたり(^^;